Subject: Re: JNI multiple String problem
From: Nicholas Burton <[email-masked]>
To: [email-masked]
Date: Thu, 13 Mar 2003 10:42:04 +0000

Ronald

Yes I am lucky that you are working on JNI at the moment :^)
Thanks very much for your prompt and very helpful reply.

I tried the gcc -mrtd flag and it did cure the problem.

I am not sure if I am running in rxvt. Does that happen automatically
when you execute cygwin.bat (ie bash --login -i) by double clicking the
cygwin icon?

'java StringEx' works for me in the cygwin terminal and under cmd.exe

I tried the same program under linux and it ran OK without using the
-mrtd flag,
using gcc 3.2 20020903 (Red Hat Linux 8.0 3.2-7).

Thanks for the info about releasing memory, --- (very strange).

-- 
Nick Burton
[email-masked]
----------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/